%{?nodejs_find_provides_and_requires}

%global packagename joi
%global enable_tests 0
# tests disabled to boostrap npm(lab)

Name:		nodejs-joi
Version:	6.6.1
Release:	1%{?dist}
Summary:	Object schema validation

License:	BSD
URL:		https://github.com/hapijs/joi.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(lab)
%endif

Requires:	nodejs

%description
Object schema validation


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# setup the examples
%setup -q -T -D -a 2 -n package

%nodejs_fixdep hoek

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
lab -t 100 -a code -L
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/ images/
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 6.6.1-1
- Initial packaging
